import React, { ReactNode } from "react";
import { Button } from "antd";

type Props = {
  [x: string]: any;
  children?: ReactNode;
};
function AuthButton({ children, ...rest }: Props) {
  // console.log({ children, ...rest });

  return <Button {...rest}>{children}</Button>;
}

const MemoAuthButton = React.memo(AuthButton);

export default MemoAuthButton;
